org.springframework.data.repository.core.support

## Class PropertiesBasedNamedQueries

- java.lang.Object
- - org.springframework.data.repository.core.support.PropertiesBasedNamedQueries

All Implemented Interfaces:
  NamedQueries

    public class PropertiesBasedNamedQueries
    extends Object
    implements NamedQueries

`NamedQueries` implementation backed by a `Properties` instance.

Author:
  Oliver Gierke

### Field Summary

Fields
`static NamedQueries` `EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`PropertiesBasedNamedQueries(Properties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getQuery(String queryName)` Returns the named query with the given name.
`boolean` `hasQuery(String queryName)` Returns whether the map contains a named query for the given name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY

    public static final NamedQueries EMPTY

### Constructor Detail

#### PropertiesBasedNamedQueries

    public PropertiesBasedNamedQueries(Properties properties)

### Method Detail

#### hasQuery

    public boolean hasQuery(String queryName)

Description copied from interface: `NamedQueries`
Returns whether the map contains a named query for the given name. If this method returns true you can expect `NamedQueries.getQuery(String)` to return a non-null query for the very same name.

Specified by:
  `hasQuery` in interface `NamedQueries`
Parameters:
  `queryName` - must not be null or empty.
Returns:

#### getQuery

    public String getQuery(String queryName)

Description copied from interface: `NamedQueries`
Returns the named query with the given name.

Specified by:
  `getQuery` in interface `NamedQueries`
Parameters:
  `queryName` - must not be null or empty.
Returns: